<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('class_drone.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">Drone Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_drone.html">Drone</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_shape.html#a52b1f33f515746a215cd461bcd5e5d3f">allCounter_</a></td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_shape.html#afb6856641aa526f1371e5580e2cd7eb3">angle_</a></td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_drone.html#af8bc6a465e5d55fdbd0985a03431a40c">calculateTranslation</a>(double angleChange, double distance) const</td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_drone.html#aaaf054aec74ad44a41dc5957f1e36b87">checkCollision</a>(const std::vector&lt; Vector3D &gt; &amp;droneCover) const override</td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_cuboid.html#a1abf60e93d024b7a01ee5b1a48f1f08a">Cuboid</a>()</td><td class="entry"><a class="el" href="class_cuboid.html">Cuboid</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_cuboid.html#ade7f4821f35a2b32d2b969f30d0ed9be">cuboidCover_</a></td><td class="entry"><a class="el" href="class_cuboid.html">Cuboid</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">currentCounter_</a></td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_drone.html#a43e891fd105579c5562ada343df72bb2">draw</a>(const std::string &amp;cuboidFilename, const std::string &amp;leftFrontRotorFilename, const std::string &amp;rightFrontRotorFilename, const std::string &amp;leftRearRotorFilename, const std::string &amp;rightRearRotorFilename) const</td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_cuboid.html#ac05b065f9298c6577f8bf4af96ae08a2">Cuboid::draw</a>(const std::string &amp;filename) const override</td><td class="entry"><a class="el" href="class_cuboid.html">Cuboid</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_drone.html#ab692baa4be5c43b72990ce1b01bdc805">Drone</a>()</td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_drone.html#a440b33102738741a35de3f6a855ac0dd">getCollisionInformation</a>() const override</td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_cuboid.html#a01ff3d2d1f5d2736d614bfe2adf695dd">getNextStepCover</a>(const Vector3D &amp;translation) const</td><td class="entry"><a class="el" href="class_cuboid.html">Cuboid</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_drone.html#a56f1e93b78d78a6d64929288eee02610">kDroneFile</a></td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_drone.html#a02f95db1728991ccdd591cf126224038">kLeftFrontRotorFile_</a></td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_drone.html#ae4422a4c9a347bd17c8a8677cf5da787">kLeftRearRotorFile_</a></td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_cuboid.html#a7cecbba106d01150eb52d53bc0b5d15a">kModelCuboid_</a></td><td class="entry"><a class="el" href="class_cuboid.html">Cuboid</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_drone.html#a4afed3fce1016f16071976ebb28695c6">kRightFrontRotorFile_</a></td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_drone.html#a7722ef37b12631cefe4de331362c1af9">kRightRearRotorFile_</a></td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_drone.html#accbaf88fac98bcd39a78f9aadf93a256">kRotorModel_</a></td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_drone.html#a01a729e3096871a868f52fe47eaa09d5">leftFrontRotor_</a></td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_drone.html#afd4d76bee5f0f8cc9ce7f66e14fbb517">leftFrontRotorTranslation_</a></td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_drone.html#ac1cf098d9ba9b78908abd1f247967987">leftRearRotor_</a></td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_drone.html#a4491f34e5c9122fe5dd7504ebb5d84cc">leftRearRotorTranslation_</a></td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_shape.html#a0fa4498ed91a5b05434f99abe79dc86d">makeRadians</a>(double degree)</td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_drone.html#ac92e53bc078523b250bba5a33c010b33">moveForward</a>(const double &amp;angleChange, const double &amp;distance, const int &amp;frames)</td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_cuboid.html#a0574a7d21a42de91ead1f99857eb10d2">points_</a></td><td class="entry"><a class="el" href="class_cuboid.html">Cuboid</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_drone.html#a6956f76fc5143f63d9dd980094e747e8">rightFrontRotor_</a></td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_drone.html#a87cf219b6f515f29b1e3e2927d54249a">rightFrontRotorTranslation_</a></td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_drone.html#a2bc30e7bd25f21d497efc9ec16236e4c">rightRearRotor_</a></td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_drone.html#afc2f37e34cc608ac218b1d4fbada0585">rightRearRotorTranslation_</a></td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_drone.html#abe42c3f974859bc10b58e63adb1498c0">rotate</a>(const double &amp;rotateAngle, const int &amp;frames)</td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_drone.html#a7a43dc06d8b00fd2e9615ad26c72887c">rotateRotor</a>(const int &amp;frames)</td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Shape</a>()</td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">translate</a>(const Vector3D &amp;change)</td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_cuboid.html#a8e5ab60bcdf1e2a0571f1d38800543a4">translateCover</a>(const Vector3D &amp;change)</td><td class="entry"><a class="el" href="class_cuboid.html">Cuboid</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_shape.html#aba30fe15a525b5f24e09829094213c07">translation_</a></td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">writeAngle</a>(double change)</td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_cuboid.html#aba010c63b64540741c25b5e89b7fabbb">~Cuboid</a>()</td><td class="entry"><a class="el" href="class_cuboid.html">Cuboid</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_drone.html#a667075abb1eb5c54be6418884a387d14">~Drone</a>()</td><td class="entry"><a class="el" href="class_drone.html">Drone</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_shape.html#a935afc9e576015f967d90de56977167d">~Shape</a>()</td><td class="entry"><a class="el" href="class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
